<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}

include 'c_leitura.php';
session_start();
$nivel_necessario = 4;//ANDRE

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ($_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php"); exit;
}

require_once("db.php");

$idCliente = $_POST['idCliente'];

$queryCofig = "SELECT data_corte data FROM user WHERE id = '$idCliente'";
$result3 = mysql_query($queryCofig);
$rowc = mysql_fetch_array($result3);


$query = "UPDATE metricas AS a, tablet AS b, metrica_parcial AS c 
				SET c.data_zerou_parcial = CURRENT_DATE()
				WHERE 
				a.idprod = b.idprod 
				AND b.id_apoio = '$idCliente' 
				AND a.dataorder > '$rowc[data_corte]'
				AND a.ativo = 1
				AND b.ativo = 1
				AND c.id_metrica_fk = a.id";
$result = mysql_query($query);


if ($result) {
	echo json_encode(array('success'=>1, 'msg'=>'Leitura Parcial Zerada com sucesso!'));
} else {
	echo json_encode(array('success'=>0, 'msg'=>'Erro ao zerar leitura parcial!'));
}